CYGEXTREG(1)

NAME
cygextreg - Register a script file type to Windows File Explorer

SYNOPSIS
cygextreg -r|-u [-a] [-f] [--ext=EXT] [--icon=PATH[,N]]
cygextreg -l

DESCRIPTION
CygExtReg is a utility program allowing to register an extension (eg. .sh) to be executed in Cygwin by double-clicking a file from Windows File Explorer or by dragging and dropping files to an icon of a registered extension.

OPTIONS

-r, --register
    Add a file type to the Windows registry.

-u, --unregister
    Remove a file type from the Windows registry.

--ext=EXT
    Register or unregister files of the given extension. Default to .sh.

--icon=PATH[,N]
    Path and optional index of the icon to register for an extension. If an index is not defined, the first icon shall be used. Default to the icon of this application.

-a, --all
    Register or unregister extension for all users. This requires elevated privileges. Prompts for an elevated process if not run as an administrator. Default is to register or unregister for the current user only.

-f, --force
    Overwrite if already registered for another application.

-l, --list
    List extensions registered for Cygwin.

-h, --help
    Display help and exit.

-V, --version
    Print version and exit.

BUGS
Please report bugs to https://github.com/sop/cygextreg/issues.

SEE ALSO
Additional information can be found on the project page https://github.com/sop/cygextreg.

LICENSE
Copyright (C) 2017 Joni Eskelinen

CygExtReg is released under the terms of The MIT License. See https://github.com/sop/cygextreg/blob/master/LICENSE for the full license text.
Icons: Tango Desktop Project (http://tango.freedesktop.org/)